#resort-map--wrapper {
    position: relative;
    min-height: 500px;
    width: 100%;
}

#postcode-search-container {
    position: absolute;
    top: 50%;
    right: 1rem;
    transform: translateY(-50%);
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    background: #fff;
    border-radius: .5rem;
    box-shadow: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.15);
    max-width: 400px;
    padding: 2rem;
    z-index: 10;
}

    #postcode-search-container .form-check-input:disabled ~ .form-check-label, .form-check-input[disabled] ~ .form-check-label {
        opacity: 1;
    }

#postcode-input {
    max-width: 300px;
}

    #postcode-input::placeholder {
        color: #fff;
    }

.postcode-form-title,
.postcode-form-filter-title {
    /*text-decoration: underline;*/
    text-decoration-color: var(--bs-secondary);
}

#map-popup--container {
    position: absolute;
    top: 0;
    left: 2rem;
    z-index: 20;
    max-width: 400px;
}

    #map-popup--container .card {
        background: #fff;
        border-radius: 0.5rem;
    }

.card-image {
    max-width: 200px;
}

.map-popup--parking-progress--container {
}

.map-popup--buttons {
    text-transform: uppercase;
}

#map-popup--close {
    background: none;
    border: none;
    color: #fff;
    opacity: 1;
    transition: opacity 0.3s ease;
    z-index: 5;
}

    #map-popup--close:hover {
        opacity: 0.5;
    }

    #map-popup--close i {
        font-size: 20px;
    }

.map-popup--parking-text {
    font-size: 1rem;
}

#map-popup--container p.flex-fill {
    border-bottom: 1px dotted #fff;
    opacity: 0.5;
    height: 14px;
}

.map-checkbox-filters .form-switch .form-check-input {
    transform: scale(1.5);
}

.map-checkbox-filters .form-check-label {
    font-size: 0.9rem;
}

.map-checkbox-filters .form-switch {
    display: flex;
    align-items: center;
    gap: 1.5rem;
}

#postcode-btn .fa-location-crosshairs {
    color: var(--bs-secondary);
    padding-right: 0.8rem;
}

#postcode-reset {
    font-size: 0.7rem;
}

@media (max-width: 767.98px) {
    #resort-map--wrapper {
        height: 90vh !important; /* 0.95 viewport height */
        min-height: 0; /* prevent min-height override */
    }

    .map-checkbox-filters {
        padding: 0.5rem 1.5rem 0 1.5rem;
    }

    #map-popup--container {
        position: absolute;
        top: 0.5rem;
        left: 0.5rem;
        right: 0.5rem;
        z-index: 20;
        max-width: 400px;
    }

    #postcode-search-container {
        position: absolute;
        bottom: 0.5rem;
        top: auto;
        left: 0.5rem;
        right: 0.5rem;
        max-width: none;
        transform: none;
        padding: 1.5rem 1rem 1rem 1rem;
        background: #fff;
        box-shadow: 0 -0.25rem 0.5rem rgba(0, 0, 0, 0.15);
    }

    .postcode-form-filter-title {
        text-decoration: none;
        font-style: italic;
        color: #777;
    }

    #postcode-reset {
        font-size: 0.8rem;
    }


    #postcode-form {
        width: 100%;
    }

    #postcode-input {
        width: 100%;
        max-width: none;
    }

    .postcode-findnearest h4 {
        font-size: 1.2rem;
    }

    #postcode-form .map-checkbox-filters {
        display: none;
    }

    #postcode-search-container .toggle-icon.rotated {
        transform: rotate(180deg);
    }
}